ConnectCloud Developers

List the instances of a transaction number (tenant:access)

GET /api/workflow/v1/tasks/object/{objectNumber}

Module: Workflow · operationId: listInstancesByObject · Tag: Instances · Auth: access token (Authorization: Bearer <accessToken>)

All instances of the tenant for the object (transaction) number, in any state and regardless of assignment.

Parameters

Name In Type Required Description
objectNumber path string yes Transaction number

Responses

  • 200 Instances (application/json)
  • 401 Missing or invalid token (unauthorized) (application/json)
  • 403 Error (application/json)
  • 500 Error (application/json)

Fields of the 200 answer:

  • items (array of TaskListItem, required): Items of the list
  • total (integer): Number of items

Example 200 answer:

{
  "items": [
    {
      "blueprint": {
        "active": true,
        "id": "er-freigabe",
        "overviewField1": {
          "label": "Lieferant",
          "name": "partnerCompany"
        },
        "overviewField2": {
          "label": "Brutto",
          "name": "grossTotal"
        },
        "steps": [
          {
            "allowInquiry": true,
            "fields": [
              {
                "label": "Eingangsnr.",
                "name": "transactionNumber"
              },
              {
                "label": "Rechnungsnummer",
                "name": "externalTransactionNumber"
              },
              {
                "label": "Lieferant",
                "name": "partnerCompany"
              },
              {
                "editable": true,
                "label": "Fällig am",
                "name": "dueDate"
              },
              {
                "label": "Brutto",
                "name": "grossTotal"
              },
              {
                "label": "Bezeichnung",
                "name": "lines.name"
              },
              {
                "editable": true,
                "label": "Kostenstelle",
                "name": "lines.lineData.costCenter",
                "required": true
              },
              {
                "label": "Menge",
                "name": "lines.quantity"
              }
            ],
            "group": "4e7a1c2b-9f3d-4b8a-a6e1-5c0d2f8b3a71",
            "lines": {
              "allowDelete": true,
              "allowDuplicate": true
            },
            "name": "kontierung",
            "nextSteps": [
              {
                "color": "primary",
                "icon": "i-lucide-arrow-right",
                "label": "Weiter zur Freigabe",
                "step": "freigabe"
              },
              {
                "color": "error",
                "icon": "i-lucide-x-circle",
                "label": "Ablehnen",
                "step": "abgelehnt"
              }
            ],
            "notifyAssigneesByEmail": true,
            "stepType": "UserStep"
          },
          {
            "allowInquiry": true,
            "fields": [
              {
                "label": "Eingangsnr.",
                "name": "transactionNumber"
              },
              {
                "label": "Lieferant",
                "name": "partnerCompany"
              },
              {
                "label": "Brutto",
                "name": "grossTotal"
              }
            ],
            "group": "4e7a1c2b-9f3d-4b8a-a6e1-5c0d2f8b3a71",
            "name": "freigabe",
            "nextSteps": [
              {
                "color": "success",
                "icon": "i-lucide-check-circle",
                "label": "Freigeben",
                "step": "freigegeben"
              },
              {
                "color": "warning",
                "icon": "i-lucide-undo-2",
                "label": "Zurück zur Kontierung",
                "step": "kontierung"
              },
              {
                "color": "error",
                "icon": "i-lucide-x-circle",
                "label": "Ablehnen",
                "step": "abgelehnt"
              }
            ],
            "stepType": "UserStep"
          },
          {
            "action": "approve",
            "name": "freigegeben",
            "stepType": "SystemStep"
          },
          {
            "action": "reject",
            "name": "abgelehnt",
            "stepType": "SystemStep"
          }
        ],
        "trigger": {
          "nextStep": {
            "step": "kontierung"
          },
          "objectType": "transaction",
          "statuses": [
            "MATCHED"
          ],
          "transactionTypes": [
            "INBOUND_INVOICE"
          ]
        },
        "updatedAt": "2026-10-14T13:22:05Z",
        "version": 3
      },
      "claimedAt": "2026-11-17T09:05:40Z",
      "claimedBy": "christina.adler@muster-it.example",
      "currentStep": {
        "allowInquiry": true,
        "fields": [
          {
            "label": "Eingangsnr.",
            "name": "transactionNumber"
          },
          {
            "label": "Rechnungsnummer",
            "name": "externalTransactionNumber"
          },
          {
            "label": "Lieferant",
            "name": "partnerCompany"
          },
          {
            "editable": true,
            "label": "Fällig am",
            "name": "dueDate"
          },
          {
            "label": "Brutto",
            "name": "grossTotal"
          },
          {
            "label": "Bezeichnung",
            "name": "lines.name"
          },
          {
            "editable": true,
            "label": "Kostenstelle",
            "name": "lines.lineData.costCenter",
            "required": true
          },
          {
            "label": "Menge",
            "name": "lines.quantity"
          }
        ],
        "group": "4e7a1c2b-9f3d-4b8a-a6e1-5c0d2f8b3a71",
        "lines": {
          "allowDelete": true,
          "allowDuplicate": true
        },
        "name": "kontierung",
        "nextSteps": [
          {
            "color": "primary",
            "icon": "i-lucide-arrow-right",
            "label": "Weiter zur Freigabe",
            "step": "freigabe"
          },
          {
            "color": "error",
            "icon": "i-lucide-x-circle",
            "label": "Ablehnen",
            "step": "abgelehnt"
          }
        ],
        "notifyAssigneesByEmail": true,
        "stepType": "UserStep"
      },
      "customerId": {
        "customerId": "99999",
        "tenantName": "DEMO"
      },
      "data": {
        "blueprintId": "er-freigabe",
        "externalTransactionNumber": "RE-482117",
        "grossTotal": 6911.52,
        "netTotal": 5808,
        "objectNumber": "ER-2026-00042",
        "partnerCompany": "Nordlicht IT-Distribution GmbH",
        "transactionNumber": "ER-2026-00042"
      },
      "guid": "3f9c2a1e-8b7d-4c6e-a5f4-1d2b3c4e5f60",
      "history": [
        {
          "action": "Workflow started",
          "actor": "SYSTEM",
          "nextStep": "kontierung",
          "stepName": "START",
          "timestamp": "2026-11-17T08:41:12Z"
        },
        {
          "action": "CLAIMED",
          "actor": "christina.adler@muster-it.example",
          "group": "4e7a1c2b-9f3d-4b8a-a6e1-5c0d2f8b3a71",
          "stepName": "kontierung",
          "timestamp": "2026-11-17T09:05:40Z"
        }
      ],
      "objectNumber": "ER-2026-00042",
      "objectType": "transaction",
      "overviewField1": {
        "label": "Lieferant",
        "name": "partnerCompany",
        "value": "Nordlicht IT-Distribution GmbH"
      },
      "overviewField2": {
        "label": "Brutto",
        "name": "grossTotal",
        "value": "6911.52"
      },
      "revision": 2,
      "startTime": "2026-11-17T08:41:12Z",
      "transactionId": "8c2f4a6e-0b1d-4e3f-9a5c-7e9b1d3f5a7c",
      "workflowState": "OPEN"
    }
  ],
  "total": 1
}

Example request

curl -X GET 'https://api.mbcom.cloud/api/workflow/v1/tasks/object/AN-2026-00042' \
  -H "Authorization: Bearer $ACCESS_TOKEN"

View as Markdown · Interactive reference · OpenAPI